Name:          libtag
Epoch:         2
Version:       2.0.2
Release:       1mamba
Summary:       Audio Meta-Data Editing Library
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://taglib.org/
Source:        https://taglib.github.io/releases/taglib-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
TagLib is a library for reading and editing the meta-data of several popular audio formats.
Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg Vorbis comments and ID3 tags and Vorbis comments in FLAC files.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
TagLib is a library for reading and editing the meta-data of several popular audio formats.
Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
This package contains static libraries and header files needed for development.


%prep
%setup -q -n taglib-%{version}

%build
%cmake \
   -DWITH_ASF=ON \
   -DWITH_MP4=ON

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libtag.so.*
%{_libdir}/libtag_c.so.*
%doc AUTHORS

%files devel
%defattr(-,root,root)
%{_bindir}/taglib-config
%dir %{_includedir}/taglib
%{_includedir}/taglib/*.h
%{_includedir}/taglib/*.tcc
%{_libdir}/*.so
%{_libdir}/pkgconfig/taglib.pc
%{_libdir}/pkgconfig/taglib_c.pc
%dir %{_libdir}/cmake/taglib
%{_libdir}/cmake/taglib/taglib-*.cmake

%changelog
* Mon Mar 03 2025 Automatic Build System <autodist@openmamba.org> 2.0.2-1mamba
- automatic update by autodist

* Mon Mar 20 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13-1mamba
- update to 1.13

* Mon May 03 2021 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic update by autodist

* Sat Dec 30 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11.1-1mamba
- update to 1.11.1

* Wed Dec 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10-1mamba
- update to 1.10

* Wed Dec 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.1-2mamba
- rebuilt with gcc 5.3.0

* Mon Nov 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.1-1mamba
- update to 1.9.1

* Sun Dec 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.20130815git-2mamba
- newer libtag versions are too buggy; reverting bumping epoch
- before re-updating check if vlc, amarok, sayonara ... are still working

* Thu Aug 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.20130815git-1mamba
- update to 1.9.20130815git

* Thu Aug 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9-1mamba
- update to 1.9

* Sat Feb 16 2013 Davide Madrisan <davide.madrisan@gmail.com> 1.8-1mamba
- update to 1.8

* Tue Jul 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.2-2mamba
- rebuilt with ASF and MP4 support enabled

* Sat Jun 23 2012 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic version update by autodist

* Thu Jun 24 2010 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic update by autodist

* Sat Apr 10 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.6.2-1mamba
- update to 1.6.2

* Tue Jan 19 2010 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic update by autodist

* Tue Sep 29 2009 Davide Madrisan <davide.madrisan@gmail.com> 1.6-2mamba
- enable MP4 and ASF support

* Mon Sep 21 2009 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic update by autodist

* Tue Jun 17 2008 Aleph0 <aleph0@openmamba.org> 1.5-1mamba
- update to 1.5
- own %{_includedir}/taglib

* Thu Aug 18 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-1qilnx
- update to version 1.4 by autospec

* Mon Feb 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.1-1qilnx
- update to version 1.3.1 by autospec

* Thu Sep 30 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.3-1qilnx
- update to 1.3 

* Tue Mar 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-1qilnx
- first build
 
